Name:		cdaclient
Version:	0.3.1
Release:	%mkrel 3
URL:		http://www.xtreemos.org/
Group:		System/Cluster
License:	GPL
Source0:	%name-%{version}.tar.bz2
BuildRequires:	java >= 1.6.0 ant gnu.getopt security-commons
Requires:	java >= 1.6.0 bouncycastle => 1.39 gnu.getopt
Requires:	cdautil
Summary:	XtreemOS CDA client
BuildArch:	noarch

%description
XtreemOS CDA client

%prep
%setup -q

%build
ant clean
ant compile
ant dist

%install
%{__rm} -Rf %{buildroot}
mkdir -p %{buildroot}/%{_javadir}
mkdir -p %{buildroot}/%{_bindir}
cp -a dist/%name-%version.jar %{buildroot}/%{_javadir}/
cp bin/get-service-cert bin/get-xos-cert bin/view-xos-cert %{buildroot}/%{_bindir}


%post
ln -sf %{_javadir}/%name-%version.jar %{_javadir}/%name.jar

%postun
rm -f %{_javadir}/%name.jar

%clean
%{__rm} -Rf %{buildroot}

%files
%doc README AUTHORS INSTALL
%defattr(-,root,root)
%{_javadir}/*
%{_bindir}/get*
%{_bindir}/view*
